{ pkgs, ... }:

{
  xsession.windowManager.i3.config = {
    startup = [
      {
        command = let layout = pkgs.substituteAll {
          src = ./layout.sh;
          tree = ./tree.json;
          isExecutable = true;
        }; in "${layout}";
        always = true;
        notification = false;
      }
    ];
    workspaceOutputAssign = [
      {
        output = "HDMI-0";
        workspace = "1";
      }
      {
        output = "DVI-D-0";
        workspace = "2";
      }
    ];
  };
}
